﻿© 2008 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Copyright
INSTRUMENT:            Sub Manual Meter Test Mode
INSTRUMENT:            Sub Pause on Failed Tests
INSTRUMENT:            Sub Operator Attention Bell
DATE:                  2008-12-12 10:08:56
AUTHOR:                Fluke
REVISION:              $Revision: 5516 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       5
NUMBER OF LINES:       93
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON
  1.001  JMPL         COPYRIGHT                    PSUBI("Copyright")
  1.002  JMPL         MANUAL_METER_TEST_MODE       PSUBI("Manual Meter")
  1.003  JMPL         PAUSE_ON_FAILED_TESTS        PSUBI("Pause on Failed")
  1.004  JMPL         OPERATOR_ATTENTION_BELL      PSUBI("Bell")
  1.005  DISP         Called subprocedure not found!
  1.006  END

  1.007  EVAL   Increment test number

#======  Sub Copyright  =====================================================

  2.001  LABEL        COPYRIGHT
  2.002  HEAD         COPYRIGHT NOTICE
  2.003  DISP         [32]               PLEASE NOTE!
  2.003  DISP         This procedure is © 2007, Fluke Corporation.
  2.003  DISP         All rights reserved.

  2.004  END

  2.005  EVAL   Increment test number

#======  Sub Manual Meter Test Mode  ========================================

  3.001  LABEL        MANUAL_METER_TEST_MODE
  3.002  DO
  3.003  MEMI         Type of test: (1) Go/No-Go (2) Keyboard Entry (3) Slew
  3.004  UNTIL        MEM == 1 || MEM == 2 || MEM == 3

  3.005  IF           MEM == 1
  3.006  ASK+           G
  3.007  MATH         MEM2 = PUT("Mode", "ASK+G")
  3.008  ELSEIF       MEM == 2
  3.009  ASK+           K
  3.010  MATH         MEM2 = PUT("Mode", "ASK+K")
  3.011  ELSEIF       MEM == 3
  3.012  ASK-           B
  3.013  MATH         MEM2 = PUT("Mode", "ASK-B")
  3.014  ENDIF

  3.015  END

  3.016  EVAL   Increment test number

#======  Sub Pause on Failed Tests  =========================================

  4.001  LABEL        PAUSE_ON_FAILED_TESTS
  4.002  OPBR         Do you want this procedure to PAUSE on failed tests?

  4.003  IF           MEM1 > 0
# Set ASK flags to enable Post Test box with "Cancel" option on fail.
  4.004  ASK+                                          X
  4.005  ASK-                                                     F
  4.006  ELSE
  4.007  ASK-                                                     A
  4.008  ENDIF

  4.009  END

  4.010  EVAL   Increment test number

#======  Sub Operator Attention Bell  =======================================

  5.001  LABEL        OPERATOR_ATTENTION_BELL
  5.002  HEAD         [7][D250][7][D250][7][D250][7][D250][7]
  5.003  END
